#ifndef LOGGER_H
#define LOGGER_H

#if 0
#include <spdlog/logger.h>
#include <spdlog/sinks/daily_file_sink.h>
#endif

#include <QObject>

namespace common {

#if 0
class Logger : public QObject
{
    Q_OBJECT
public:
    explicit Logger(QObject *parent = nullptr);
    static void outputMessage(QtMsgType type, const QMessageLogContext &context,
                            const QString &msg);

private:
    static std::shared_ptr<spdlog::logger> logger();
};
#endif

class QmlLogger :public QObject
{
    Q_OBJECT
public:

    Q_INVOKABLE void debug(const QString &msg);
    Q_INVOKABLE void info(const QString &msg);
    Q_INVOKABLE void warning(const QString &msg);
    Q_INVOKABLE void critical(const QString &msg);
};

};  // namespace utils

#endif  // LOGGER_H
